# Check the load status of a triangulation.

from maptek import vulcan

input_tri = 'topo.00t'

with vulcan.triangulation(input_tri, 'w') as tri:
    if not tri.is_ok():
        raise ValueError("Triangulation open failed.")
        
    # continue if no error raised...